Map
Map a website and discover URLs
POST
/mapAuthorization
api-key AuthorizationBearer <token>
Enter your API key with the bc_ prefix
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
url*string
URL to map
search?string
Search filter for URLs
limit?number
Maximum number of URLs to return
Range
1 <= value <= 1000Default
100sitemap?string
How to handle sitemaps
Default
"include"Value in
- "include"
- "skip"
- "only"
includeSubdomains?boolean
Include subdomains in the map
Default
truelocation?
Location configuration
timeout?number
Timeout for map operation in milliseconds
Range
1000 <= value <= 300000ignoreQueryParameters?boolean
Ignore query parameters when discovering URLs
Default
trueResponse Body
application/json
curl -X POST "https://example.com/map" \ -H "Content-Type: application/json" \ -d '{ "url": "https://example.com" }'{ "success": true, "total": 150, "creditsUsed": 30, "data": [ { "url": "https://example.com/page1", "title": "Page 1", "description": "Description of page 1" } ]}Empty